.NET 5.0 将于 2022 年 5 月 8 日终止支持

5 月 8 日更新之后,微软将为 .NET 5.0 提供服务更新,包括安全修复或技术支持,用户需要将 .NET 版本更新到受支持的版本 (

5 月 8 日更新之后,微软将为 .NET 5.0 提供服务更新,包括安全修复或技术支持,用户需要将 .NET 版本更新到受支持的版本 (.NET 6.0 ) 才能继续接收更新。

.NET 5.0 不是 LTS 版本,因此将在发布 18 个月或下一个版本发布后的 6 个月后停止支持。当 .NET 5.0 支持终止时,使用此版本的应用程序仍可继续运行,但相关的漏洞可能不会获得修复,因为微软只为 .NET 的受支持版本(即 .NET Core 3.1 和 .NET 6.0)发布安全更新。因此强烈建议用户将应用程序迁移到 .NET 6.0 。

升级到 .NET 6.0
打开项目文件(.csproj、 .vbproj 或 *.fsproj 文件)。
将目标框架值从 net5.0 更改为 net6.0,目标框架由 or 元素定义。
更多迁移事项可查看。

Visual Studio 16.11 将继续支持 .NET 5.0 SDK 版本,直到 2022 年 12 月 .NET Core 3.1 停止支持。但 .NET 5.0 SDK 在运行命令行方案时不会使用 .NET 5.0 的运行时,并且不会作为独立 SDK 提供。建议使用 .NET 6.0 和 Visual Studio 2022 构建在受支持的 .NET 运行时上运行的应用程序。

关于作者: qwephp

.

为您推荐